CREATE TABLE &LIBREF..SECURITIZATION_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Instrument Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Securitization Pool Key',
     SECURITIZ_INSTRUMENT_TYPE_CD VARCHAR(3) label='Securitize Instrument Type Code',
     TRANCHE_SECURITY_RANK_NO NUMERIC(10) FORMAT=10. INFORMAT=10. label='Tranche Security Rank Number',
     TRANCHE_FACE_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Tranche Face Value Amount',
     TRANCHE_CREDIT_ENHNCE_LEVEL_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Tranche Credit Enhance Level Rate',
     TRANCHE_THICKNESS_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Tranche Thickness Rate',
     TRANCHE_CURRENT_FACTOR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Tranche Current Factor Rate',
     LOSS_RANK_NO         NUMERIC(10) FORMAT=10. INFORMAT=10. label='Loss Rank Number',
     OVER_COLLAT_TEST_TRIGGER_VALUE NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Over Collat Test Trigger Value',
     CAPITAL_PROTECTION_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Capital protection amount.',
     TRANCHE_ATTACH_POINT_VALUE NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Tranche Attach Point Value',
     TRANCHE_DETACH_POINT_VALUE NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Tranche Detach Point Value',
     TRANCHE_POINT_VALUE_TYPE_CD VARCHAR(3) label='Tranche Point Value Type Code',
     PREPAY_STRUCTURED_PRODUCT_FLG CHARACTER(1) label='Prepayment Structured Product Flag',
     OVER_COL_TST_TRIG_VAL_TYPE_CD VARCHAR(3) label='Over Col Tst Trig Val Type Code',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);

