/*-- Copyright (c) 2014 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
Model         Insurance DDS 5.5
Subject Area  Entire
Name          tridx.sas
Model Version 
DBMS          Teradata
Created       4/10/2014 12:25:05 PM
* Copyright (c) 2014 by SAS Institute Inc., Cary, NC 27513
*/
/* Teradata connection information is required */
%MACRO tridx (USER=, PASS=, SERVER=, DATABASE=);
PROC SQL NOERRORSTOP;
CONNECT TO TERADATA (USER=&USER PASS=&PASS SERVER=&SERVER DATABASE=&DATABASE MODE=TERADATA);
 EXECUTE ( CREATE JOIN INDEX CONVERSION_SCHEDULE_SAK
 AS SELECT 
     CONVERSION_SCHEDULE_RK,
     VALID_FROM_DTTM,
     CONVERSION_SCHEDULE_ID,
     CONVERSION_SCHEDULE_TYPE_CD,
     STOCK_PRICE_DT,
     STOCK_PRICE_AMT,
     CONVERSION_VALUE,
     CONVERSION_VALUE_TYPE_CD,
     FINANCIAL_INSTRUMENT_RK,
     VALID_TO_DTTM,
     PROCESSED_DTTM
 FROM CONVERSION_SCHEDULE PRIMARY INDEX (CONVERSION_SCHEDULE_TYPE_CD)) BY TERADATA;
 EXECUTE ( CREATE JOIN INDEX COUNTERPARTY_CREDIT_ASSESS_SAK
 AS SELECT 
     ASSESSMENT_DT,
     ASSESSMENT_RESULT_TYPE_CD,
     CURRENCY_CD,
     COUNTERPARTY_RK,
     ASSESSMENT_MODEL_RK,
     ASSESSMENT_RATING_GRADE_RK,
     OVERRIDE_RATING_FLG,
     ASSESSMENT_RESULT_RT,
     ASSESS_CHANGE_REASON_CD,
     EFFECTIVE_FROM_DTTM,
     EFFECTIVE_TO_DTTM,
     DOMESTIC_CURR_ASSESSMENT_FLG,
     PROCESSED_DTTM
 FROM COUNTERPARTY_CREDIT_ASSESSMENT PRIMARY INDEX (ASSESSMENT_MODEL_RK)) BY TERADATA;
 EXECUTE ( CREATE JOIN INDEX CR_FACILITY_CR_ASSESS_SAK
 AS SELECT 
     ASSESSMENT_DT,
     ASSESSMENT_RESULT_TYPE_CD,
     CREDIT_FACILITY_RK,
     ASSESSMENT_MODEL_RK,
     ASSESSMENT_RATING_GRADE_RK,
     OVERRIDE_RATING_FLG,
     ASSESSMENT_RESULT_RT,
     CR_MITIGANT_ADJUSTED_FLG,
     PRINCIPAL_ONLY_FLG,
     ASSESS_CHANGE_REASON_CD,
     EFFECTIVE_FROM_DTTM,
     EFFECTIVE_TO_DTTM,
     PROCESSED_DTTM
 FROM CREDIT_FACILITY_CREDIT_ASSESS PRIMARY INDEX (ASSESSMENT_MODEL_RK)) BY TERADATA;
 EXECUTE ( CREATE JOIN INDEX SEGMENT_CREDIT_ASSESSMENT_SAK
 AS SELECT 
     SEGMENT_RK,
     ASSESSMENT_DT,
     ASSESSMENT_MODEL_RK,
     ASSESSMENT_RESULT_TYPE_CD,
     ASSESSMENT_RATING_GRADE_RK,
     ASSESSMENT_RESULT_RT,
     PRINCIPAL_ONLY_FLG,
     ASSESS_CHANGE_REASON_CD,
     EFFECTIVE_FROM_DTTM,
     EFFECTIVE_TO_DTTM,
     PROCESSED_DTTM
 FROM SEGMENT_CREDIT_ASSESSMENT PRIMARY INDEX (SEGMENT_RK)) BY TERADATA;
DISCONNECT FROM TERADATA;
QUIT;
%MEND;
